Subject: Re: [RFC PATCH 0/1][RESEND] Fix KASAN: slab-out-of-bounds Read in sk_psock_get

From: Jakub Kicinski <[email-masked]>
Date: Wed, 13 Jul 2022 20:58:25 -0700

On Thu, 14 Jul 2022 09:55:18 +0600 Khalid Masum wrote:
> On Thu, Jul 14, 2022 at 12:56 AM Jakub Kicinski <[email-masked]> wrote:
> > On Thu, 14 Jul 2022 00:13:23 +0600 Khalid Masum wrote:  
> > > Using size of sk_psock as the size for kcm_psock_cache size no longer
> > > reproduces the issue. There might be a better way to solve this issue
> > > though so I would like to ask for feedback.
> > >
> > > The patch was sent to the wrong mailing list so resending it. Please
> > > ignore the previous one.  
> >
> > What happened to my other off-list feedback?
> >
> > I pointed you at another solution which was already being discussed -
> > does it solve the issue you're fixing?  
> 
> Yes, this patch solves the issue I am fixing.

Thanks for checking! You can send your

Tested-by:

tag in reply to the most recent posting if you'd like:

https://lore.kernel.org/all/[email-masked]/